# Uses of Enum
org.apache.zookeeper.client.ZooKeeperSaslClient.SaslState

Packages that use ZooKeeperSaslClient.SaslState
Package
Description
org.apache.zookeeper.client

## Uses of ZooKeeperSaslClient.SaslState in org.apache.zookeeper.client

Subclasses with type arguments of type ZooKeeperSaslClient.SaslState in org.apache.zookeeper.client
Modifier and Type
Class
Description
`static enum`
`ZooKeeperSaslClient.SaslState`
Methods in org.apache.zookeeper.client that return ZooKeeperSaslClient.SaslState
Modifier and Type
Method
Description
`ZooKeeperSaslClient.SaslState`
ZooKeeperSaslClient.`getSaslState()`
`static ZooKeeperSaslClient.SaslState`
ZooKeeperSaslClient.SaslState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ZooKeeperSaslClient.SaslState[]`
ZooKeeperSaslClient.SaslState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.